%define	prefix  /usr/local
%define name    xine_vcdx
%define ver     1_rc0a
%define rel     0
%define dirversion 1.0.0

Name:           %{name}
Summary:        VCD and SVCD Navigation plugin for xine
Summary(de):    VCD und SVCD Plugin fr xine mit VCD-Men-Navigation
Version:        %{ver}
Release:        %{rel}
Group:          Development/Libraries
Copyright:      GPL
Url:            http://xinehq.de
Source:         %{name}-%{version}.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       xine-lib >= %{version}
Requires:       libcdio
Requires:       libcddb
Buildrequires:  xine-lib-devel >= %{version}
Buildrequires:  libcdio-devel
Buildrequires:  libcddb-devel

%description
xine-vcdx provides VCD and SVCD navigation support (including menus
and playbck control) to the xine media player. The following command 
gives one way to invoke play a Video CD using this plugin:

 $ xine -pq vcdx://

A more advanced CD-DA plugin is also provided. The following command 
gives one way to play a CD-DA (Compact Audio Disc) using ths plugin:

 $ xine -pq cdda://

%description -l de
xine-vcdx stellt Navigationssupport fr VCD and SVCD inklusive Mens fr
den xine Media-Player bereit. Um es zu nutzen, starten Sie xine mit dem
folgenden Kommando:

 $ xine -pq vcdx://

Ein erweitertes CD-DA Plugin ist ebenfalls enthalten. Um es zu nutzen
starten Sie xine mit:

 $ xine -pq cdda://

%prep
%setup

#FIXME xine prefixes shouldn't be static
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --with-xine-prefix=/usr --with-xine-exec-prefix=/usr --disable-xinetest
make 

%install
rm -rf $RPM_BUILD_ROOT
#ROOT=$RPM_BUILD_ROOT 
make install-strip DESTDIR=$RPM_BUILD_ROOT

%clean
rm -r $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{prefix}/lib/xine/plugins/%{dirversion}/xineplug_inp_*
%{prefix}/info/vcd-plugin.info*

%changelog
